/api/maintenance/report
get
Get details on a report table
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
tablestringRequired
Responses
200
success
successbooleanOptionalExample:
trueget/api/maintenance/report
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'table' => 'transaction_summary'
);
$request = array(
'method' => 'GET',
'path' => 'maintenance/report',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"report": {
"name": "Transaction Summary",
"type": "summary",
"rows": "0",
"max_date": null,
"min_date": null,
"max_data_nice": "None",
"min_date_nice": "None",
"first_trans_date": null,
"last_trans_date": null,
"has_trans_data": 0,
"first_trans_date_nice": "None",
"last_trans_date_nice": "None",
"currently_processing": 0
}
}patch
Rebuild report summary
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
tablestringRequired
build_startstringRequired
build_endstringRequired
Responses
200
success
successbooleanOptionalExample:
truepatch/api/maintenance/report
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'table' => 'adtool_summary',
'build_start' => '2010-06-10',
'build_end' => '2030-06-10'
);
$request = array(
'method' => 'PATCH',
'path' => 'maintenance/report',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"success": true,
"result": "summary rebuild started"
}Last updated
Was this helpful?